package com.yifu.cloud.plus.v1.ekp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.icbc.api.IcbcApiException;
import com.yifu.cloud.plus.v1.ekp.entity.EkpBankCodeSet;
import com.yifu.cloud.plus.v1.ekp.entity.EkpSocialInfo;
import com.yifu.cloud.plus.v1.yifu.common.core.util.R;

/**
 * 聚富通到账通知交易流水查询
 *
 * @author huyc
 * @date 2024-05-23 11:21:56
 */
public interface IcbcTransactionFlowQueryService extends IService<EkpSocialInfo> {

	R getIcbcTransactionFlow();

	R getIcbcTransactionFlowNew() throws IcbcApiException;

	R getIcbcTransactionFlowYesterdayInner() throws IcbcApiException;

	R saveIcbcManagerCard();

	/**
	 * @Description: 根据银行卡号查询银行信息
	 * @Author: huyc
	 * @Date: 2024-11-12
	 * @return: R
	 **/
	R<EkpBankCodeSet> querybankinfo(String cardNo);

	/**
	 * @Description: 查询账单明细文件名
	 * @Author: huyc
	 * @Date: 2024-12-12
	 * @return: R
	 **/
	R getEnterprisePayDowninstr();

	/**
	 * @Description: 电子回单下载功能
	 * @Author: huyc
	 * @Date: 2024-12-13
	 * @return: R
	 **/
	R getMeatebillreceive();

}
